<?php
use_helper('I18N', 'stAdminGenerator');
echo st_get_admin_head('appFaviconPlugin', __('Konfiguracja'), __('Favicon'), array('stConfigurationPlugin'));
st_view_slot_start('application-menu');
st_include_partial('appFaviconBackend/config_menu'); 
st_view_slot_end();
?>

<div id="sf_admin_content" class="admin-content-edit">
    <?php st_include_partial('stAdminGenerator/message');?>
    <?php echo form_tag('appFaviconBackend/index', array('enctype'=>'multipart/form-data', 'id' => 'admin_config_form', 'name' => 'admin_config_form', 'class' => 'admin_form'));?>
            <fieldset>
                <div class="content">
                    <?php if ($favicon_exists): ?>
                        <div class="row">
                            <label><?php echo __('Twój favicon') ?>:</label>
                            <div class="field" style="margin-top: 10px;"><img src="/favicon.ico" alt=""></div>
                        </div>
                    <?php endif; ?>
                    <div class="row">
                        <label>
                            <?php if ($favicon_exists): echo __('Zmień favicon'); else: echo __('Dodaj favicon'); endif; ?>
                        </label>
                        <div class="field">
                            <?php if ($sf_request->hasError('favicon')): ?>
                                <div class="error_field" style="color: red;">
                                    <?php echo form_error('favicon', array('class' => 'form-error-msg')) ?>
                                    <?php echo input_file_tag('favicon', 'favicon') ?><br />
                                </div>
                            <?php else: ?>
                                <?php echo input_file_tag('favicon', 'favicon') ?><br />
                            <?php endif;?>
                           <div class="clr"></div>
                        </div>
                    </div>
                </div>
            </fieldset>
            <div id="config_actions">
            <?php echo st_get_admin_actions_head() ?>
                <?php echo st_get_admin_action('save', __('Zapisz', null, 'stAdminGeneratorPlugin'), null, array('name' => 'save')) ?>
            <?php echo st_get_admin_actions_foot() ?>
             </div>
        </form>
</div>
<?php echo st_get_admin_foot() ?>
<script type="text/javascript">
jQuery(function($) {

    $(document).ready(function() {
        $('#config_actions').stickyBox();
        fieldsetVisibility();
    });

});
</script>